Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class Truncation

    java.lang.Object
      org.apache.cassandra.db.Truncation

All Implemented Interfaces:
  MessageProducer

    public class Truncation

extends java.lang.Object
implements MessageProducer

A truncate operation descriptor

Field Summary
`java.lang.String` | `columnFamily`
`java.lang.String` | `keyspace`

Constructor Summary
`Truncation(java.lang.String keyspace, java.lang.String columnFamily)`

Method Summary
`Message` | `getMessage(java.lang.Integer version)`
`static IVersionedSerializer<Truncation>` | `serializer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public final java.lang.String keyspace

### columnFamily

    public final java.lang.String columnFamily

Constructor Detail

### Truncation

    public Truncation(java.lang.String keyspace,
                      java.lang.String columnFamily)

Method Detail

### serializer

    public static IVersionedSerializer<Truncation> serializer()

### getMessage

    public Message getMessage(java.lang.Integer version)
                       throws java.io.IOException

  Specified by:
    `getMessage` in interface `MessageProducer`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation